## Class template custom_severity_mapping

boost::log::sinks::syslog::custom_severity_mapping — Customizable severity level mapping.

## Synopsis

    // In header: <boost/log/sinks/syslog_backend.hpp>

    template<typename AttributeValueT = int>
    class custom_severity_mapping :
      public basic_custom_mapping< level, AttributeValueT >
    {
    public:
      // construct/copy/destruct
      explicit custom_severity_mapping(attribute_name const &);
    };

## Description

The class allows to setup a custom mapping between an attribute and Syslog severity levels. The mapping should be initialized similarly to the standard `map` container, by using indexing operator and assignment.

### `custom_severity_mapping` public construct/copy/destruct

1.     explicit custom_severity_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name